package com.iamberry.sys;

import java.io.Serializable;
import java.util.Date;

/**
 * @author 献
 * @company 深圳爱贝源科技有限公司
 * @website www.iamberry.com
 * @tel 18271840547
 * @date 2017/5/12
 */
public class MenuPermisssion implements Serializable {

    private static final long serialVersionUID = 1005471561916102773L;
    // id
    private Integer permId;
    // 菜单id
    private Integer permMenuId;
    // 二级菜单id
    private Integer permSubId;
    // 权限名称
    private String permName;
    // 状态 1：正常使用；2：已停止使用
    private Integer permStatus;
    // Shiro 操作符
    private String permSymbol;
    // 创建时间
    private Date permCreateTime;

    public void setPermId(Integer permId) {
        this.permId = permId;
    }

    public void setPermMenuId(Integer permMenuId) {
        this.permMenuId = permMenuId;
    }

    public void setPermSubId(Integer permSubId) {
        this.permSubId = permSubId;
    }

    public void setPermName(String permName) {
        this.permName = permName;
    }

    public void setPermStatus(Integer permStatus) {
        this.permStatus = permStatus;
    }

    public void setPermSymbol(String permSymbol) {
        this.permSymbol = permSymbol;
    }

    public void setPermCreateTime(Date permCreateTime) {
        this.permCreateTime = permCreateTime;
    }

    public Integer getPermId() {
        return permId;
    }

    public Integer getPermMenuId() {
        return permMenuId;
    }

    public Integer getPermSubId() {
        return permSubId;
    }

    public String getPermName() {
        return permName;
    }

    public Integer getPermStatus() {
        return permStatus;
    }

    public String getPermSymbol() {
        return permSymbol;
    }

    public Date getPermCreateTime() {
        return permCreateTime;
    }
}
